RC Book Verification
curl --request POST \
--url https://bgv.konnectnxt.com/api/v2/verification/rc-book/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rc_number": "TS011HK7777",
"chassis_number": "MALPC563LLM049777H"
}
'import requests
url = "https://bgv.konnectnxt.com/api/v2/verification/rc-book/"
payload = {
"rc_number": "TS011HK7777",
"chassis_number": "MALPC563LLM049777H"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rc_number: 'TS011HK7777', chassis_number: 'MALPC563LLM049777H'})
};
fetch('https://bgv.konnectnxt.com/api/v2/verification/rc-book/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "Operation completed successfully",
"data": {
"registration_number": "TS07HK6300",
"status": "ACTIVE",
"status_message": null,
"state": "Telangana",
"registered_place": "RTA RANGAREDDY, TELANGANA",
"registration_date": "07-10-2020",
"manufacturing_year": "2020-08",
"owner_details": {
"owner_name": "N S*****H K***R",
"owner_serial_number": "2",
"owner_mobile_no": null,
"permanent_address": "F NO 7**5 V****I S*********, R*C C****Y L*********, N***R C******L K***A",
"current_address": "F NO 7**5 V****I S*********, R*C C****Y L*********, N***R C******L K***A",
"father_name": null
},
"vehicle_details": {
"manufacturer": "HYUNDAI MOTOR INDIA LTD",
"manufacturer_model": "CRETA 1.5 CRDI MT SX(O) BSVI",
"vehicle_class": "Motor Car(LMV)",
"vehicle_category": null,
"fuel_type": "DIESEL",
"colour": "TYPHOON SILVER",
"body_type": "13",
"cubic_capacity": "1493.00",
"number_of_cylinder": "4",
"wheelbase": "2610",
"gross_vehicle_weight": "1755",
"unladen_weight": "1344",
"seating_capacity": "5",
"standing_capacity": "0",
"sleeper_capacity": null,
"norms_type": "BHARAT STAGE VI"
},
"engine_details": {
"engine_number": "D4FALM05XXXX",
"chassis_number": "MALPC813LLM049XXXX"
},
"insurance_details": {
"insurance_company": "Royal Sundaram General Insurance Co. Ltd",
"insurance_policy_no": "VPC1953029000100",
"insurance_validity": "06-09-2026"
},
"puc_details": {
"puc_number": "MH01001790005169",
"puc_valid_upto": "27-12-2026"
},
"fitness_valid_upto": "06-10-2035",
"tax_valid_upto": "",
"financer_details": {
"is_financed": null,
"financer": null
},
"permit_details": {
"permit_no": null,
"permit_type": null,
"permit_issue_date": "",
"permit_validity_from": "",
"permit_validity_upto": "",
"npermit_no": null,
"npermit_upto": ""
},
"blacklist_status": null,
"verification_date": "14-02-2026"
},
"credits_used": 10,
"credits_remaining": 8726
}Vehicle Details
Vehicle Details
Verify RC book details using vehicle registration number and chassis number.
POST
/
v2
/
verification
/
rc-book
/
RC Book Verification
Overview
The Vehicle Details API verifies a vehicle RC book and returns owner, vehicle, engine, insurance, PUC, permit, and status details.Request Fields
rc_number: Vehicle registration number (for example,TS07HK6300)chassis_number: Vehicle chassis number
Notes
- Include the
Authorization: Bearer <token>header. - You can pass
X-Use-Mock: trueto test with mock data.
Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Headers
Set to true to receive mock response data in test environments.
Available options:
true, false Body
application/json
Was this page helpful?
⌘I

